#!/bin/bash

. /usr/share/univention-lib/ucr.sh

check_for_temporary_udm_sids() {
	local output
	local filter='(&(|(&(objectClass=univentionWindows)(!(univentionServerRole=windows_domaincontroller)))(objectClass=computer)(objectClass=univentionMemberServer)(objectClass=univentionUbuntuClient)(objectClass=univentionLinuxClient)(objectClass=univentionMacOSClient)(objectClass=univentionCorporateClient)(&(objectClass=univentionDomainController)(univentionService=Samba 4))(objectClass=computer)(univentionServerRole=windows_domaincontroller))(sambasid=S-1-4-*))'
	if [ "$server_role" = "domaincontroller_master" -o "$server_role" = "domaincontroller_backup" ]; then
		output=$(ldapsearch -xLLL -H ldapi:/// "$filter" dn sambasid)
	else
		output=$(univention-ldapsearch -LLL "$filter" dn sambasid)
	fi
	if [ -n "$output" ]; then
		echo "ERROR: The following objects have internal UDM SIDs"
		echo "==================================================="
		echo "$output"
		echo "==================================================="
		exit 1
	fi
}

check_for_temporary_udm_sids
